> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Task



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/tasks/{task_id}/approve
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/tasks/{task_id}/approve:
    post:
      tags:
        - Teams
      summary: Approve Task
      operationId: approve_task_api_v1_teams__team_id__tasks__task_id__approve_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskApproveRequest'
              default:
                force: false
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamTaskResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TaskApproveRequest:
      properties:
        publish_mode:
          anyOf:
            - type: string
              enum:
                - now
                - scheduled
            - type: 'null'
          title: Publish Mode
        scheduled_for:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Scheduled For
        force:
          type: boolean
          title: Force
          default: false
      type: object
      title: TaskApproveRequest
    TeamTaskResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        task_type:
          type: string
          title: Task Type
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          type: string
          title: Status
        priority:
          type: string
          title: Priority
        input_data:
          additionalProperties: true
          type: object
          title: Input Data
          default: {}
        output_data:
          additionalProperties: true
          type: object
          title: Output Data
          default: {}
        quality_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Quality Score
        evaluation_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation Notes
        scheduled_for:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Scheduled For
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        publish_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Publish Url
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
        revision_count:
          type: integer
          title: Revision Count
        max_revisions:
          type: integer
          title: Max Revisions
        assigned_member_id:
          type: string
          format: uuid
          title: Assigned Member Id
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - task_type
        - title
        - description
        - status
        - priority
        - quality_score
        - evaluation_notes
        - scheduled_for
        - platform
        - publish_url
        - published_at
        - revision_count
        - max_revisions
        - assigned_member_id
        - started_at
        - completed_at
        - created_at
      title: TeamTaskResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````